The "Update Blog Post" API allows you update blog post for any given blog site. Please use blogs/post-update.write
The "Update Blog Post" API allows you update blog post for any given blog site. Please use blogs/post-update.write
http
PUT https://services.leadconnectorhq.com/blogs/posts/{postId}
Authorization
Name
Type
Required
Example
Description
Authorization
string
Yes
Bearer token generated from the Leadway portal. See Authentication.
Version
string
Yes
2021-07-28
API version.
Body
Name
Type
Required
Example
Description
title
string
Yes
Your blog title
locationId
string
Yes
Account ID
blogId
string
Yes
Blog ID
You can find the blog id from blog site dashboard link
imageUrl
string
Yes
Image URl
description
string
Yes
A short description
rawHTML
string
Yes
<h1>Your blog content</h1>
status
string
Yes
PUBLISHED
Possible values: 'DRAFT', 'PUBLISHED', 'SCHEDULED', 'ARCHIVED'
imageAltText
string
Yes
Alt text for your blog image
categories
string[]
Yes
This needs to be array of category ids, which you can get from the category get api call.
tags
string[]
No
author
string
Yes
6683abde331c041f32c07aea
This needs to be author id, which you can get from the author get api call.
urlSlug
string
Yes
any-blog-post-url
canonicalLink
string
No
https://tryghl.blog/post/testing-unsplash
publishedAt
string
Yes
2025-02-05T18:30:47.000Z
Provide ISO timestamp
Responses
200 - Successful response
updatedBlogPost (object, required)
categories (string[], required): Array of category IDs associated with the blog post
tags (string[]): Array of tags associated with the blog post
archived (boolean, required): Indicates whether the blog post is archived Example: False
_id (string, required): Unique identifier of the blog post Example: 66c381b38be80858b9af62b6
title (string, required): Title of the blog post Example: Banana is good source of energy
description (string, required): Description of the blog post Example: Description
imageUrl (string, required): URL of the image associated with the blog post Example: https://storage.googleapis.com/ghl-test/fACm0Ojm5oC70G3DcFmE/media/66b5aa3b1745b2713a8d033f.jpeg
status (string, required): Publication status of the blog post Example: PUBLISHED
imageAltText (string, required): Alternative text for the blog post image Example: alt
urlSlug (string, required): URL slug for the blog post Example: banana-good-energy
canonicalLink (string): Canonical link of the blog post Example: https://blog.chatgpts.agency/post/test-8384
author (string): Identifier of the author of the blog post Example: 659ec9634a3796e4e47cc360
publishedAt (string, required): Timestamp when the blog post was published Example: 2024-08-19T17:14:57.000Z
updatedAt (string, required): Timestamp when the blog post was last updated Example: 2024-08-19T17:32:36.182Z